%define major		3
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		coordgen
Version:	3.0.2
Release:	%mkrel 1
Summary:	Schrodinger-developed 2D Coordinate Generation
License:	BSD
Group:		System/Libraries
URL:		https://github.com/schrodinger/coordgenlibs
Source0:	https://github.com/schrodinger/coordgenlibs/archive/v%{version}/%{name}libs-%{version}.tar.gz
Patch0:		coordgen-3.0.1-fix-cmake-config-files-install-dir.patch

BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	cmake(maeparser)
BuildRequires:	pkgconfig(zlib)

%description
This is Schrödinger, Inc's 2D coordinate generation. It was formerly
proprietary code, but is now released under the BSD license. The emphasis
of these algorithms are on quality of 2D coordinates rather than speed of
generation. The algorithm distinguishes itself from many others by doing
well with both macrocycles and metal complexes. It also does extremely
well on typical drug-like small molecules, and has been validated on
millions of compounds.

Schrodinger intends to continue to contribute to this code as it still
uses it inside its products, but will also be happy if others contribute
pull-requests when there are improvements they would like to make. We'll
also be happy to hear bug reports or feature requests from use of this
code,though make no guarantee on our ability to process these.

#------------------------------------------------

%package -n	%{libname}
Summary:	Schrodinger-developed 2D Coordinate Generation
Group:		System/Libraries

%description -n	%{libname}
This is Schrödinger, Inc's 2D coordinate generation. It was formerly
proprietary code, but is now released under the BSD license. The emphasis
of these algorithms are on quality of 2D coordinates rather than speed of
generation. The algorithm distinguishes itself from many others by doing
well with both macrocycles and metal complexes. It also does extremely
well on typical drug-like small molecules, and has been validated on
millions of compounds.

Schrodinger intends to continue to contribute to this code as it still
uses it inside its products, but will also be happy if others contribute
pull-requests when there are improvements they would like to make. We'll
also be happy to hear bug reports or feature requests from use of this
code,though make no guarantee on our ability to process these.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1 -n %{name}libs-%{version}

%build
%cmake -DCOORDGEN_USE_MAEPARSER=ON
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_datadir}/coordgen/
install -m 0644 templates.mae %{buildroot}%{_datadir}/coordgen/

%files -n %{libname}
%doc README.md
%license LICENSE
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc README.md
%license LICENSE
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}/
%{_datadir}/coordgen/


%changelog
* Thu Feb 02 2023 daviddavid <daviddavid> 3.0.2-1.mga9
+ Revision: 1937641
- new version: 3.0.2

* Sun Jan 15 2023 daviddavid <daviddavid> 3.0.1-1.mga9
+ Revision: 1933581
- new version: 3.0.1
- now libmajor is 3

* Sat Mar 19 2022 umeabot <umeabot> 2.0.3-3.mga9
+ Revision: 1799542
- Mageia 9 Mass Rebuild

* Sun Apr 25 2021 daviddavid <daviddavid> 2.0.3-2.mga9
+ Revision: 1719776
- install manually templates.mae file

* Sun Apr 25 2021 daviddavid <daviddavid> 2.0.3-1.mga9
+ Revision: 1719751
- initial package coordgen (needed for openbabel3)

